/* CSS is how you can add style to your website, such as colors, fonts, and positioning of your
HTML content. To learn how to do something, just try searching Google for questions like
"how to change link color." */

/*
@font-face {
  font-family: Hack;
  src: url(/assets/Hack-Regular.ttf);
}
*/

body {
  background-color: #030035; /*#b2c4f6 ??? #b6c3ec */
  color: #5e79e6;
  font-family: Hack;
  margin-top: 35px;
  font-size: 110%;
  margin-left: 15%;
  margin-right: 15%;
}
.center-text {
  text-align: center;
  margin-top: -10px;
}

/*#0c111a, #fa047f*/ 

/*#1c2331*/
/* #00c3d3, #ca0166 */

a:link {
  color: #0287e6;
}
a:visited {
  color: #aaafb6;
}
a:hover {
  color: #FF06B5;
}
h1 {
  text-decoration: underline;
  text-align: center;
  margin-top: auto;
  margin-left: auto;
}
h2 {
  color: #0287e6;
  text-align: center;
  text-decoration: underline;
}
h3 {
  font-size: 130%;
  margin-bottom: -10px;
}
nav {
  text-align: center;
  margin-top: auto;
  margin-left: auto;
  color: #aaafb6;
}
hr {
  color: #aaafb6;
  margin-top: 20px;
  margin-bottom: 20px;
}
.header {
  text-align: center;
}
footer {
  text-align: center;
}
.picture {
  display: block;
  margin-left: auto;
  margin-right: auto;
  margin-top: 1%;
}
.picture_text {
  display: block;
  margin-left: auto;
  margin-right: auto;
  margin-top: 8px;
}
.link_to_big_thing_i_guess {
  border-style: solid;
  border-color: #aaafb6;
  border-width: 2px;
  margin-bottom: 10px;
  padding-left: 15px;
  padding-right: 15px;
}
/*
.post_link {text-decoration: underline;}
.post_link a:link {color: black;}
.post_link a:hover {color: #0287e6;} 
*/
.logo {
  vertical-align: middle;
  width: 80px;
  height: 80px;
}
.flex-parent {
  display: flex;
  vertical-align: middle;
}
.flex-child {
  width: 50%;
  border-style: solid;
  border-color: #aaafb6;
  border-width: 2px;
  margin: 7px;
  padding-left: 1.5%;
  padding-right: 1.5%;
}
.img88x31 {
  width: 88px;
  height: 31px;
}
.rainbowText {
  background: linear-gradient(90deg, #f00, #ff2b00, #f50, #ff8000, #fa0, #ffd500, #ff0, #d4ff00, #af0, #80ff00, #5f0, #2bff00, #0f0, #00ff2b, #0f5, #00ff80, #0fa, #00ffd5, #0ff, #00d4ff, #0af, #007fff, #05f, #002bff, #00f, #2a00ff, #50f, #7f00ff, #a0f, #d400ff, #f0f, #ff00d4, #f0a, #ff0080, #f05, #ff002b, #f00);
  -webkit-text-fill-color: transparent;
  -webkit-background-clip: text;
  background-clip: text;
  font-weight: bold;
  text-align: center;
  text-decoration: underline;
}
.rainbowBox {
  border: 2px solid transparent;
  border-image: linear-gradient(to bottom right, #b827fc 0%, #2c90fc 25%, #b8fd33 50%, #fec837 75%, #fd1892 100%);
  border-image-slice: 1;
}